/*
 * JPA entity PK template
 */

package de.ivu.elect.business.internet.entity;

@javax.enterprise.inject.Vetoed
public class PraesentationsexportPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<PraesentationsexportPK> {

  private static final long serialVersionUID = 0L;

  public PraesentationsexportPK() {
    super();
  }

  public PraesentationsexportPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "PraesentationsexportPK:"+getId();
  }

  @Override
  public int compareTo(PraesentationsexportPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
